<!-- -------------------- ./proof/sigprooflist.html -------------------- -->

<?php include "adm_top.html"; ?>

<!-- --------- start list ----------- -->

<nav class="navbar navbar-expand-lg navbar-expand-xl navbar-light bg-light">
 <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#admSearchdBar" aria-expanded="false" >
   <span class="navbar-toggler-icon"></span>
 </button>
 <span class="navbar-brand"><span class='badge badge-secondary' id='ProofCnt'><?php echo count($this->PLIST); ?></span> Preuves</span>

  <div class="collapse navbar-collapse" id="admSearchdBar">
    <ul class="navbar-nav mr-auto"></ul>
    <form class="form-inline my-2 my-lg-0">
       <div class="form-row align-items-center">
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-search"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchRef" placeholder="référence" onkeyup="ProofFilter()" value="<?php echo @$this->PFILTR['PR']; ?>">
          </div>
        </div>
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-user"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchUzr" placeholder="signataire" onkeyup="ProofFilter()" value="<?php echo @$this->PFILTR['PU']; ?>">
          </div>
        </div>
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchDat" placeholder="date" onkeyup="ProofFilter()" value="<?php echo @$this->PFILTR['PD']; ?>">
          </div>
        </div>
      </div>
    </form>
  </div>
</nav>

<table id="prooftable" class="table table-sm table-hover tablesorter">
<thead>
<tr class='thead'>
 <th>&nbsp;référence preuve</th>
 <th>&nbsp;signataire</th>
 <th>&nbsp;date</th>
</tr>
</thead>
<tbody>
<?php 
foreach ($this->PLIST as $num => $elem ) : 
?>
<tr class="datarow">
 <td><span class="pref"><a href="/prf/Show/<?php echo $elem['ref']; ?>" target="_blank" ><?php echo $elem['ref']; ?></a></span></td>
 <td><span class="puzr"><?php echo $elem['signer']; ?></span></td>
 <td><span class="pdat"><?php echo $elem['date']; ?></span></td>
</tr>
<?php
endforeach;
?>

</tbody>
</table>

<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<script src="/pub/jsext/jquery.tablesorter.min.js"></script>

<!--  -->
<script src="/pub/jsint/prooffilter.js"></script>
<script src="/pub/jsint/proofsort.js"></script>

<script>
$(document).ready(function() { 
  $("#prooftable").tablesorter({headers:{3:{sorter:false}},sortList: [[2,1]]} ); 
  ProofFilter();
} 
);
</script>

<script>
  $('[data-toggle="tooltip"]').tooltip();
  /*
  $('#prooftable').on('sortEnd', function(event) {
    SortSave('AD', event.target.config.sortList);
  });
 */
</script>


</body>
</html>




<!-- --------- end list ----------- -->

<?php include "adm_foot.html"; ?>
